IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Network162.0.0.0/7
Usable hosts33,554,430
Subnet mask254.0.0.0
Addresses33,554,432
- Network address
162.0.0.0- Broadcast address
163.255.255.255- First usable
162.0.0.1- Last usable
163.255.255.254- Usable hosts
- 33,554,430 (33,554,432 less the network and broadcast addresses)
- Subnet mask
254.0.0.0- Wildcard mask
1.255.255.255(Cisco ACLs, OSPF)- Prefix length
- /7
- Type
- Public public
- Old class
- B (default /16)
- As numbers
- Hex
A2000000· Integer2717908992to2751463423 - Reverse DNS zones
162.in-addr.arpa163.in-addr.arpa
/7 is not on a 8-bit boundary, so it takes 2 /8 zones.
Binary
| Binary (network bits bold, host bits grey) | Dotted | |
|---|---|---|
| Address | 10100010.00000000.00000000.00000000 | 162.0.0.0 |
| Subnet mask | 11111110.00000000.00000000.00000000 | 254.0.0.0 |
| Network | 10100010.00000000.00000000.00000000 | 162.0.0.0 |
| Broadcast | 10100011.11111111.11111111.11111111 | 163.255.255.255 |
Split into smaller subnets
/8 (2)/9 (4)/10 (8)/11 (16)/12 (32)/13 (64)/14 (128)/15 (256)/16 (512)/17 (1,024)/18 (2,048)/19 (4,096)
162.0.0.0/7 makes 256 subnets of /15.
| # | Subnet | Usable hosts range | Broadcast | Hosts |
|---|---|---|---|---|
| 1 | 162.0.0.0/15 | 162.0.0.1 to 162.1.255.254 | 162.1.255.255 | 131,070 |
| 2 | 162.2.0.0/15 | 162.2.0.1 to 162.3.255.254 | 162.3.255.255 | 131,070 |
| 3 | 162.4.0.0/15 | 162.4.0.1 to 162.5.255.254 | 162.5.255.255 | 131,070 |
| 4 | 162.6.0.0/15 | 162.6.0.1 to 162.7.255.254 | 162.7.255.255 | 131,070 |
| 5 | 162.8.0.0/15 | 162.8.0.1 to 162.9.255.254 | 162.9.255.255 | 131,070 |
| 6 | 162.10.0.0/15 | 162.10.0.1 to 162.11.255.254 | 162.11.255.255 | 131,070 |
| 7 | 162.12.0.0/15 | 162.12.0.1 to 162.13.255.254 | 162.13.255.255 | 131,070 |
| 8 | 162.14.0.0/15 | 162.14.0.1 to 162.15.255.254 | 162.15.255.255 | 131,070 |
| 9 | 162.16.0.0/15 | 162.16.0.1 to 162.17.255.254 | 162.17.255.255 | 131,070 |
| 10 | 162.18.0.0/15 | 162.18.0.1 to 162.19.255.254 | 162.19.255.255 | 131,070 |
| 11 | 162.20.0.0/15 | 162.20.0.1 to 162.21.255.254 | 162.21.255.255 | 131,070 |
| 12 | 162.22.0.0/15 | 162.22.0.1 to 162.23.255.254 | 162.23.255.255 | 131,070 |
| 13 | 162.24.0.0/15 | 162.24.0.1 to 162.25.255.254 | 162.25.255.255 | 131,070 |
| 14 | 162.26.0.0/15 | 162.26.0.1 to 162.27.255.254 | 162.27.255.255 | 131,070 |
| 15 | 162.28.0.0/15 | 162.28.0.1 to 162.29.255.254 | 162.29.255.255 | 131,070 |
| 16 | 162.30.0.0/15 | 162.30.0.1 to 162.31.255.254 | 162.31.255.255 | 131,070 |
| 17 | 162.32.0.0/15 | 162.32.0.1 to 162.33.255.254 | 162.33.255.255 | 131,070 |
| 18 | 162.34.0.0/15 | 162.34.0.1 to 162.35.255.254 | 162.35.255.255 | 131,070 |
| 19 | 162.36.0.0/15 | 162.36.0.1 to 162.37.255.254 | 162.37.255.255 | 131,070 |
| 20 | 162.38.0.0/15 | 162.38.0.1 to 162.39.255.254 | 162.39.255.255 | 131,070 |
| 21 | 162.40.0.0/15 | 162.40.0.1 to 162.41.255.254 | 162.41.255.255 | 131,070 |
| 22 | 162.42.0.0/15 | 162.42.0.1 to 162.43.255.254 | 162.43.255.255 | 131,070 |
| 23 | 162.44.0.0/15 | 162.44.0.1 to 162.45.255.254 | 162.45.255.255 | 131,070 |
| 24 | 162.46.0.0/15 | 162.46.0.1 to 162.47.255.254 | 162.47.255.255 | 131,070 |
| 25 | 162.48.0.0/15 | 162.48.0.1 to 162.49.255.254 | 162.49.255.255 | 131,070 |
| 26 | 162.50.0.0/15 | 162.50.0.1 to 162.51.255.254 | 162.51.255.255 | 131,070 |
| 27 | 162.52.0.0/15 | 162.52.0.1 to 162.53.255.254 | 162.53.255.255 | 131,070 |
| 28 | 162.54.0.0/15 | 162.54.0.1 to 162.55.255.254 | 162.55.255.255 | 131,070 |
| 29 | 162.56.0.0/15 | 162.56.0.1 to 162.57.255.254 | 162.57.255.255 | 131,070 |
| 30 | 162.58.0.0/15 | 162.58.0.1 to 162.59.255.254 | 162.59.255.255 | 131,070 |
| 31 | 162.60.0.0/15 | 162.60.0.1 to 162.61.255.254 | 162.61.255.255 | 131,070 |
| 32 | 162.62.0.0/15 | 162.62.0.1 to 162.63.255.254 | 162.63.255.255 | 131,070 |
| 33 | 162.64.0.0/15 | 162.64.0.1 to 162.65.255.254 | 162.65.255.255 | 131,070 |
| 34 | 162.66.0.0/15 | 162.66.0.1 to 162.67.255.254 | 162.67.255.255 | 131,070 |
| 35 | 162.68.0.0/15 | 162.68.0.1 to 162.69.255.254 | 162.69.255.255 | 131,070 |
| 36 | 162.70.0.0/15 | 162.70.0.1 to 162.71.255.254 | 162.71.255.255 | 131,070 |
| 37 | 162.72.0.0/15 | 162.72.0.1 to 162.73.255.254 | 162.73.255.255 | 131,070 |
| 38 | 162.74.0.0/15 | 162.74.0.1 to 162.75.255.254 | 162.75.255.255 | 131,070 |
| 39 | 162.76.0.0/15 | 162.76.0.1 to 162.77.255.254 | 162.77.255.255 | 131,070 |
| 40 | 162.78.0.0/15 | 162.78.0.1 to 162.79.255.254 | 162.79.255.255 | 131,070 |
| 41 | 162.80.0.0/15 | 162.80.0.1 to 162.81.255.254 | 162.81.255.255 | 131,070 |
| 42 | 162.82.0.0/15 | 162.82.0.1 to 162.83.255.254 | 162.83.255.255 | 131,070 |
| 43 | 162.84.0.0/15 | 162.84.0.1 to 162.85.255.254 | 162.85.255.255 | 131,070 |
| 44 | 162.86.0.0/15 | 162.86.0.1 to 162.87.255.254 | 162.87.255.255 | 131,070 |
| 45 | 162.88.0.0/15 | 162.88.0.1 to 162.89.255.254 | 162.89.255.255 | 131,070 |
| 46 | 162.90.0.0/15 | 162.90.0.1 to 162.91.255.254 | 162.91.255.255 | 131,070 |
| 47 | 162.92.0.0/15 | 162.92.0.1 to 162.93.255.254 | 162.93.255.255 | 131,070 |
| 48 | 162.94.0.0/15 | 162.94.0.1 to 162.95.255.254 | 162.95.255.255 | 131,070 |
| 49 | 162.96.0.0/15 | 162.96.0.1 to 162.97.255.254 | 162.97.255.255 | 131,070 |
| 50 | 162.98.0.0/15 | 162.98.0.1 to 162.99.255.254 | 162.99.255.255 | 131,070 |
| 51 | 162.100.0.0/15 | 162.100.0.1 to 162.101.255.254 | 162.101.255.255 | 131,070 |
| 52 | 162.102.0.0/15 | 162.102.0.1 to 162.103.255.254 | 162.103.255.255 | 131,070 |
| 53 | 162.104.0.0/15 | 162.104.0.1 to 162.105.255.254 | 162.105.255.255 | 131,070 |
| 54 | 162.106.0.0/15 | 162.106.0.1 to 162.107.255.254 | 162.107.255.255 | 131,070 |
| 55 | 162.108.0.0/15 | 162.108.0.1 to 162.109.255.254 | 162.109.255.255 | 131,070 |
| 56 | 162.110.0.0/15 | 162.110.0.1 to 162.111.255.254 | 162.111.255.255 | 131,070 |
| 57 | 162.112.0.0/15 | 162.112.0.1 to 162.113.255.254 | 162.113.255.255 | 131,070 |
| 58 | 162.114.0.0/15 | 162.114.0.1 to 162.115.255.254 | 162.115.255.255 | 131,070 |
| 59 | 162.116.0.0/15 | 162.116.0.1 to 162.117.255.254 | 162.117.255.255 | 131,070 |
| 60 | 162.118.0.0/15 | 162.118.0.1 to 162.119.255.254 | 162.119.255.255 | 131,070 |
| 61 | 162.120.0.0/15 | 162.120.0.1 to 162.121.255.254 | 162.121.255.255 | 131,070 |
| 62 | 162.122.0.0/15 | 162.122.0.1 to 162.123.255.254 | 162.123.255.255 | 131,070 |
| 63 | 162.124.0.0/15 | 162.124.0.1 to 162.125.255.254 | 162.125.255.255 | 131,070 |
| 64 | 162.126.0.0/15 | 162.126.0.1 to 162.127.255.254 | 162.127.255.255 | 131,070 |
| 65 | 162.128.0.0/15 | 162.128.0.1 to 162.129.255.254 | 162.129.255.255 | 131,070 |
| 66 | 162.130.0.0/15 | 162.130.0.1 to 162.131.255.254 | 162.131.255.255 | 131,070 |
| 67 | 162.132.0.0/15 | 162.132.0.1 to 162.133.255.254 | 162.133.255.255 | 131,070 |
| 68 | 162.134.0.0/15 | 162.134.0.1 to 162.135.255.254 | 162.135.255.255 | 131,070 |
| 69 | 162.136.0.0/15 | 162.136.0.1 to 162.137.255.254 | 162.137.255.255 | 131,070 |
| 70 | 162.138.0.0/15 | 162.138.0.1 to 162.139.255.254 | 162.139.255.255 | 131,070 |
| 71 | 162.140.0.0/15 | 162.140.0.1 to 162.141.255.254 | 162.141.255.255 | 131,070 |
| 72 | 162.142.0.0/15 | 162.142.0.1 to 162.143.255.254 | 162.143.255.255 | 131,070 |
| 73 | 162.144.0.0/15 | 162.144.0.1 to 162.145.255.254 | 162.145.255.255 | 131,070 |
| 74 | 162.146.0.0/15 | 162.146.0.1 to 162.147.255.254 | 162.147.255.255 | 131,070 |
| 75 | 162.148.0.0/15 | 162.148.0.1 to 162.149.255.254 | 162.149.255.255 | 131,070 |
| 76 | 162.150.0.0/15 | 162.150.0.1 to 162.151.255.254 | 162.151.255.255 | 131,070 |
| 77 | 162.152.0.0/15 | 162.152.0.1 to 162.153.255.254 | 162.153.255.255 | 131,070 |
| 78 | 162.154.0.0/15 | 162.154.0.1 to 162.155.255.254 | 162.155.255.255 | 131,070 |
| 79 | 162.156.0.0/15 | 162.156.0.1 to 162.157.255.254 | 162.157.255.255 | 131,070 |
| 80 | 162.158.0.0/15 | 162.158.0.1 to 162.159.255.254 | 162.159.255.255 | 131,070 |
| 81 | 162.160.0.0/15 | 162.160.0.1 to 162.161.255.254 | 162.161.255.255 | 131,070 |
| 82 | 162.162.0.0/15 | 162.162.0.1 to 162.163.255.254 | 162.163.255.255 | 131,070 |
| 83 | 162.164.0.0/15 | 162.164.0.1 to 162.165.255.254 | 162.165.255.255 | 131,070 |
| 84 | 162.166.0.0/15 | 162.166.0.1 to 162.167.255.254 | 162.167.255.255 | 131,070 |
| 85 | 162.168.0.0/15 | 162.168.0.1 to 162.169.255.254 | 162.169.255.255 | 131,070 |
| 86 | 162.170.0.0/15 | 162.170.0.1 to 162.171.255.254 | 162.171.255.255 | 131,070 |
| 87 | 162.172.0.0/15 | 162.172.0.1 to 162.173.255.254 | 162.173.255.255 | 131,070 |
| 88 | 162.174.0.0/15 | 162.174.0.1 to 162.175.255.254 | 162.175.255.255 | 131,070 |
| 89 | 162.176.0.0/15 | 162.176.0.1 to 162.177.255.254 | 162.177.255.255 | 131,070 |
| 90 | 162.178.0.0/15 | 162.178.0.1 to 162.179.255.254 | 162.179.255.255 | 131,070 |
| 91 | 162.180.0.0/15 | 162.180.0.1 to 162.181.255.254 | 162.181.255.255 | 131,070 |
| 92 | 162.182.0.0/15 | 162.182.0.1 to 162.183.255.254 | 162.183.255.255 | 131,070 |
| 93 | 162.184.0.0/15 | 162.184.0.1 to 162.185.255.254 | 162.185.255.255 | 131,070 |
| 94 | 162.186.0.0/15 | 162.186.0.1 to 162.187.255.254 | 162.187.255.255 | 131,070 |
| 95 | 162.188.0.0/15 | 162.188.0.1 to 162.189.255.254 | 162.189.255.255 | 131,070 |
| 96 | 162.190.0.0/15 | 162.190.0.1 to 162.191.255.254 | 162.191.255.255 | 131,070 |
| 97 | 162.192.0.0/15 | 162.192.0.1 to 162.193.255.254 | 162.193.255.255 | 131,070 |
| 98 | 162.194.0.0/15 | 162.194.0.1 to 162.195.255.254 | 162.195.255.255 | 131,070 |
| 99 | 162.196.0.0/15 | 162.196.0.1 to 162.197.255.254 | 162.197.255.255 | 131,070 |
| 100 | 162.198.0.0/15 | 162.198.0.1 to 162.199.255.254 | 162.199.255.255 | 131,070 |
| 101 | 162.200.0.0/15 | 162.200.0.1 to 162.201.255.254 | 162.201.255.255 | 131,070 |
| 102 | 162.202.0.0/15 | 162.202.0.1 to 162.203.255.254 | 162.203.255.255 | 131,070 |
| 103 | 162.204.0.0/15 | 162.204.0.1 to 162.205.255.254 | 162.205.255.255 | 131,070 |
| 104 | 162.206.0.0/15 | 162.206.0.1 to 162.207.255.254 | 162.207.255.255 | 131,070 |
| 105 | 162.208.0.0/15 | 162.208.0.1 to 162.209.255.254 | 162.209.255.255 | 131,070 |
| 106 | 162.210.0.0/15 | 162.210.0.1 to 162.211.255.254 | 162.211.255.255 | 131,070 |
| 107 | 162.212.0.0/15 | 162.212.0.1 to 162.213.255.254 | 162.213.255.255 | 131,070 |
| 108 | 162.214.0.0/15 | 162.214.0.1 to 162.215.255.254 | 162.215.255.255 | 131,070 |
| 109 | 162.216.0.0/15 | 162.216.0.1 to 162.217.255.254 | 162.217.255.255 | 131,070 |
| 110 | 162.218.0.0/15 | 162.218.0.1 to 162.219.255.254 | 162.219.255.255 | 131,070 |
| 111 | 162.220.0.0/15 | 162.220.0.1 to 162.221.255.254 | 162.221.255.255 | 131,070 |
| 112 | 162.222.0.0/15 | 162.222.0.1 to 162.223.255.254 | 162.223.255.255 | 131,070 |
| 113 | 162.224.0.0/15 | 162.224.0.1 to 162.225.255.254 | 162.225.255.255 | 131,070 |
| 114 | 162.226.0.0/15 | 162.226.0.1 to 162.227.255.254 | 162.227.255.255 | 131,070 |
| 115 | 162.228.0.0/15 | 162.228.0.1 to 162.229.255.254 | 162.229.255.255 | 131,070 |
| 116 | 162.230.0.0/15 | 162.230.0.1 to 162.231.255.254 | 162.231.255.255 | 131,070 |
| 117 | 162.232.0.0/15 | 162.232.0.1 to 162.233.255.254 | 162.233.255.255 | 131,070 |
| 118 | 162.234.0.0/15 | 162.234.0.1 to 162.235.255.254 | 162.235.255.255 | 131,070 |
| 119 | 162.236.0.0/15 | 162.236.0.1 to 162.237.255.254 | 162.237.255.255 | 131,070 |
| 120 | 162.238.0.0/15 | 162.238.0.1 to 162.239.255.254 | 162.239.255.255 | 131,070 |
| 121 | 162.240.0.0/15 | 162.240.0.1 to 162.241.255.254 | 162.241.255.255 | 131,070 |
| 122 | 162.242.0.0/15 | 162.242.0.1 to 162.243.255.254 | 162.243.255.255 | 131,070 |
| 123 | 162.244.0.0/15 | 162.244.0.1 to 162.245.255.254 | 162.245.255.255 | 131,070 |
| 124 | 162.246.0.0/15 | 162.246.0.1 to 162.247.255.254 | 162.247.255.255 | 131,070 |
| 125 | 162.248.0.0/15 | 162.248.0.1 to 162.249.255.254 | 162.249.255.255 | 131,070 |
| 126 | 162.250.0.0/15 | 162.250.0.1 to 162.251.255.254 | 162.251.255.255 | 131,070 |
| 127 | 162.252.0.0/15 | 162.252.0.1 to 162.253.255.254 | 162.253.255.255 | 131,070 |
| 128 | 162.254.0.0/15 | 162.254.0.1 to 162.255.255.254 | 162.255.255.255 | 131,070 |
| 129 | 163.0.0.0/15 | 163.0.0.1 to 163.1.255.254 | 163.1.255.255 | 131,070 |
| 130 | 163.2.0.0/15 | 163.2.0.1 to 163.3.255.254 | 163.3.255.255 | 131,070 |
| 131 | 163.4.0.0/15 | 163.4.0.1 to 163.5.255.254 | 163.5.255.255 | 131,070 |
| 132 | 163.6.0.0/15 | 163.6.0.1 to 163.7.255.254 | 163.7.255.255 | 131,070 |
| 133 | 163.8.0.0/15 | 163.8.0.1 to 163.9.255.254 | 163.9.255.255 | 131,070 |
| 134 | 163.10.0.0/15 | 163.10.0.1 to 163.11.255.254 | 163.11.255.255 | 131,070 |
| 135 | 163.12.0.0/15 | 163.12.0.1 to 163.13.255.254 | 163.13.255.255 | 131,070 |
| 136 | 163.14.0.0/15 | 163.14.0.1 to 163.15.255.254 | 163.15.255.255 | 131,070 |
| 137 | 163.16.0.0/15 | 163.16.0.1 to 163.17.255.254 | 163.17.255.255 | 131,070 |
| 138 | 163.18.0.0/15 | 163.18.0.1 to 163.19.255.254 | 163.19.255.255 | 131,070 |
| 139 | 163.20.0.0/15 | 163.20.0.1 to 163.21.255.254 | 163.21.255.255 | 131,070 |
| 140 | 163.22.0.0/15 | 163.22.0.1 to 163.23.255.254 | 163.23.255.255 | 131,070 |
| 141 | 163.24.0.0/15 | 163.24.0.1 to 163.25.255.254 | 163.25.255.255 | 131,070 |
| 142 | 163.26.0.0/15 | 163.26.0.1 to 163.27.255.254 | 163.27.255.255 | 131,070 |
| 143 | 163.28.0.0/15 | 163.28.0.1 to 163.29.255.254 | 163.29.255.255 | 131,070 |
| 144 | 163.30.0.0/15 | 163.30.0.1 to 163.31.255.254 | 163.31.255.255 | 131,070 |
| 145 | 163.32.0.0/15 | 163.32.0.1 to 163.33.255.254 | 163.33.255.255 | 131,070 |
| 146 | 163.34.0.0/15 | 163.34.0.1 to 163.35.255.254 | 163.35.255.255 | 131,070 |
| 147 | 163.36.0.0/15 | 163.36.0.1 to 163.37.255.254 | 163.37.255.255 | 131,070 |
| 148 | 163.38.0.0/15 | 163.38.0.1 to 163.39.255.254 | 163.39.255.255 | 131,070 |
| 149 | 163.40.0.0/15 | 163.40.0.1 to 163.41.255.254 | 163.41.255.255 | 131,070 |
| 150 | 163.42.0.0/15 | 163.42.0.1 to 163.43.255.254 | 163.43.255.255 | 131,070 |
| 151 | 163.44.0.0/15 | 163.44.0.1 to 163.45.255.254 | 163.45.255.255 | 131,070 |
| 152 | 163.46.0.0/15 | 163.46.0.1 to 163.47.255.254 | 163.47.255.255 | 131,070 |
| 153 | 163.48.0.0/15 | 163.48.0.1 to 163.49.255.254 | 163.49.255.255 | 131,070 |
| 154 | 163.50.0.0/15 | 163.50.0.1 to 163.51.255.254 | 163.51.255.255 | 131,070 |
| 155 | 163.52.0.0/15 | 163.52.0.1 to 163.53.255.254 | 163.53.255.255 | 131,070 |
| 156 | 163.54.0.0/15 | 163.54.0.1 to 163.55.255.254 | 163.55.255.255 | 131,070 |
| 157 | 163.56.0.0/15 | 163.56.0.1 to 163.57.255.254 | 163.57.255.255 | 131,070 |
| 158 | 163.58.0.0/15 | 163.58.0.1 to 163.59.255.254 | 163.59.255.255 | 131,070 |
| 159 | 163.60.0.0/15 | 163.60.0.1 to 163.61.255.254 | 163.61.255.255 | 131,070 |
| 160 | 163.62.0.0/15 | 163.62.0.1 to 163.63.255.254 | 163.63.255.255 | 131,070 |
| 161 | 163.64.0.0/15 | 163.64.0.1 to 163.65.255.254 | 163.65.255.255 | 131,070 |
| 162 | 163.66.0.0/15 | 163.66.0.1 to 163.67.255.254 | 163.67.255.255 | 131,070 |
| 163 | 163.68.0.0/15 | 163.68.0.1 to 163.69.255.254 | 163.69.255.255 | 131,070 |
| 164 | 163.70.0.0/15 | 163.70.0.1 to 163.71.255.254 | 163.71.255.255 | 131,070 |
| 165 | 163.72.0.0/15 | 163.72.0.1 to 163.73.255.254 | 163.73.255.255 | 131,070 |
| 166 | 163.74.0.0/15 | 163.74.0.1 to 163.75.255.254 | 163.75.255.255 | 131,070 |
| 167 | 163.76.0.0/15 | 163.76.0.1 to 163.77.255.254 | 163.77.255.255 | 131,070 |
| 168 | 163.78.0.0/15 | 163.78.0.1 to 163.79.255.254 | 163.79.255.255 | 131,070 |
| 169 | 163.80.0.0/15 | 163.80.0.1 to 163.81.255.254 | 163.81.255.255 | 131,070 |
| 170 | 163.82.0.0/15 | 163.82.0.1 to 163.83.255.254 | 163.83.255.255 | 131,070 |
| 171 | 163.84.0.0/15 | 163.84.0.1 to 163.85.255.254 | 163.85.255.255 | 131,070 |
| 172 | 163.86.0.0/15 | 163.86.0.1 to 163.87.255.254 | 163.87.255.255 | 131,070 |
| 173 | 163.88.0.0/15 | 163.88.0.1 to 163.89.255.254 | 163.89.255.255 | 131,070 |
| 174 | 163.90.0.0/15 | 163.90.0.1 to 163.91.255.254 | 163.91.255.255 | 131,070 |
| 175 | 163.92.0.0/15 | 163.92.0.1 to 163.93.255.254 | 163.93.255.255 | 131,070 |
| 176 | 163.94.0.0/15 | 163.94.0.1 to 163.95.255.254 | 163.95.255.255 | 131,070 |
| 177 | 163.96.0.0/15 | 163.96.0.1 to 163.97.255.254 | 163.97.255.255 | 131,070 |
| 178 | 163.98.0.0/15 | 163.98.0.1 to 163.99.255.254 | 163.99.255.255 | 131,070 |
| 179 | 163.100.0.0/15 | 163.100.0.1 to 163.101.255.254 | 163.101.255.255 | 131,070 |
| 180 | 163.102.0.0/15 | 163.102.0.1 to 163.103.255.254 | 163.103.255.255 | 131,070 |
| 181 | 163.104.0.0/15 | 163.104.0.1 to 163.105.255.254 | 163.105.255.255 | 131,070 |
| 182 | 163.106.0.0/15 | 163.106.0.1 to 163.107.255.254 | 163.107.255.255 | 131,070 |
| 183 | 163.108.0.0/15 | 163.108.0.1 to 163.109.255.254 | 163.109.255.255 | 131,070 |
| 184 | 163.110.0.0/15 | 163.110.0.1 to 163.111.255.254 | 163.111.255.255 | 131,070 |
| 185 | 163.112.0.0/15 | 163.112.0.1 to 163.113.255.254 | 163.113.255.255 | 131,070 |
| 186 | 163.114.0.0/15 | 163.114.0.1 to 163.115.255.254 | 163.115.255.255 | 131,070 |
| 187 | 163.116.0.0/15 | 163.116.0.1 to 163.117.255.254 | 163.117.255.255 | 131,070 |
| 188 | 163.118.0.0/15 | 163.118.0.1 to 163.119.255.254 | 163.119.255.255 | 131,070 |
| 189 | 163.120.0.0/15 | 163.120.0.1 to 163.121.255.254 | 163.121.255.255 | 131,070 |
| 190 | 163.122.0.0/15 | 163.122.0.1 to 163.123.255.254 | 163.123.255.255 | 131,070 |
| 191 | 163.124.0.0/15 | 163.124.0.1 to 163.125.255.254 | 163.125.255.255 | 131,070 |
| 192 | 163.126.0.0/15 | 163.126.0.1 to 163.127.255.254 | 163.127.255.255 | 131,070 |
| 193 | 163.128.0.0/15 | 163.128.0.1 to 163.129.255.254 | 163.129.255.255 | 131,070 |
| 194 | 163.130.0.0/15 | 163.130.0.1 to 163.131.255.254 | 163.131.255.255 | 131,070 |
| 195 | 163.132.0.0/15 | 163.132.0.1 to 163.133.255.254 | 163.133.255.255 | 131,070 |
| 196 | 163.134.0.0/15 | 163.134.0.1 to 163.135.255.254 | 163.135.255.255 | 131,070 |
| 197 | 163.136.0.0/15 | 163.136.0.1 to 163.137.255.254 | 163.137.255.255 | 131,070 |
| 198 | 163.138.0.0/15 | 163.138.0.1 to 163.139.255.254 | 163.139.255.255 | 131,070 |
| 199 | 163.140.0.0/15 | 163.140.0.1 to 163.141.255.254 | 163.141.255.255 | 131,070 |
| 200 | 163.142.0.0/15 | 163.142.0.1 to 163.143.255.254 | 163.143.255.255 | 131,070 |
| 201 | 163.144.0.0/15 | 163.144.0.1 to 163.145.255.254 | 163.145.255.255 | 131,070 |
| 202 | 163.146.0.0/15 | 163.146.0.1 to 163.147.255.254 | 163.147.255.255 | 131,070 |
| 203 | 163.148.0.0/15 | 163.148.0.1 to 163.149.255.254 | 163.149.255.255 | 131,070 |
| 204 | 163.150.0.0/15 | 163.150.0.1 to 163.151.255.254 | 163.151.255.255 | 131,070 |
| 205 | 163.152.0.0/15 | 163.152.0.1 to 163.153.255.254 | 163.153.255.255 | 131,070 |
| 206 | 163.154.0.0/15 | 163.154.0.1 to 163.155.255.254 | 163.155.255.255 | 131,070 |
| 207 | 163.156.0.0/15 | 163.156.0.1 to 163.157.255.254 | 163.157.255.255 | 131,070 |
| 208 | 163.158.0.0/15 | 163.158.0.1 to 163.159.255.254 | 163.159.255.255 | 131,070 |
| 209 | 163.160.0.0/15 | 163.160.0.1 to 163.161.255.254 | 163.161.255.255 | 131,070 |
| 210 | 163.162.0.0/15 | 163.162.0.1 to 163.163.255.254 | 163.163.255.255 | 131,070 |
| 211 | 163.164.0.0/15 | 163.164.0.1 to 163.165.255.254 | 163.165.255.255 | 131,070 |
| 212 | 163.166.0.0/15 | 163.166.0.1 to 163.167.255.254 | 163.167.255.255 | 131,070 |
| 213 | 163.168.0.0/15 | 163.168.0.1 to 163.169.255.254 | 163.169.255.255 | 131,070 |
| 214 | 163.170.0.0/15 | 163.170.0.1 to 163.171.255.254 | 163.171.255.255 | 131,070 |
| 215 | 163.172.0.0/15 | 163.172.0.1 to 163.173.255.254 | 163.173.255.255 | 131,070 |
| 216 | 163.174.0.0/15 | 163.174.0.1 to 163.175.255.254 | 163.175.255.255 | 131,070 |
| 217 | 163.176.0.0/15 | 163.176.0.1 to 163.177.255.254 | 163.177.255.255 | 131,070 |
| 218 | 163.178.0.0/15 | 163.178.0.1 to 163.179.255.254 | 163.179.255.255 | 131,070 |
| 219 | 163.180.0.0/15 | 163.180.0.1 to 163.181.255.254 | 163.181.255.255 | 131,070 |
| 220 | 163.182.0.0/15 | 163.182.0.1 to 163.183.255.254 | 163.183.255.255 | 131,070 |
| 221 | 163.184.0.0/15 | 163.184.0.1 to 163.185.255.254 | 163.185.255.255 | 131,070 |
| 222 | 163.186.0.0/15 | 163.186.0.1 to 163.187.255.254 | 163.187.255.255 | 131,070 |
| 223 | 163.188.0.0/15 | 163.188.0.1 to 163.189.255.254 | 163.189.255.255 | 131,070 |
| 224 | 163.190.0.0/15 | 163.190.0.1 to 163.191.255.254 | 163.191.255.255 | 131,070 |
| 225 | 163.192.0.0/15 | 163.192.0.1 to 163.193.255.254 | 163.193.255.255 | 131,070 |
| 226 | 163.194.0.0/15 | 163.194.0.1 to 163.195.255.254 | 163.195.255.255 | 131,070 |
| 227 | 163.196.0.0/15 | 163.196.0.1 to 163.197.255.254 | 163.197.255.255 | 131,070 |
| 228 | 163.198.0.0/15 | 163.198.0.1 to 163.199.255.254 | 163.199.255.255 | 131,070 |
| 229 | 163.200.0.0/15 | 163.200.0.1 to 163.201.255.254 | 163.201.255.255 | 131,070 |
| 230 | 163.202.0.0/15 | 163.202.0.1 to 163.203.255.254 | 163.203.255.255 | 131,070 |
| 231 | 163.204.0.0/15 | 163.204.0.1 to 163.205.255.254 | 163.205.255.255 | 131,070 |
| 232 | 163.206.0.0/15 | 163.206.0.1 to 163.207.255.254 | 163.207.255.255 | 131,070 |
| 233 | 163.208.0.0/15 | 163.208.0.1 to 163.209.255.254 | 163.209.255.255 | 131,070 |
| 234 | 163.210.0.0/15 | 163.210.0.1 to 163.211.255.254 | 163.211.255.255 | 131,070 |
| 235 | 163.212.0.0/15 | 163.212.0.1 to 163.213.255.254 | 163.213.255.255 | 131,070 |
| 236 | 163.214.0.0/15 | 163.214.0.1 to 163.215.255.254 | 163.215.255.255 | 131,070 |
| 237 | 163.216.0.0/15 | 163.216.0.1 to 163.217.255.254 | 163.217.255.255 | 131,070 |
| 238 | 163.218.0.0/15 | 163.218.0.1 to 163.219.255.254 | 163.219.255.255 | 131,070 |
| 239 | 163.220.0.0/15 | 163.220.0.1 to 163.221.255.254 | 163.221.255.255 | 131,070 |
| 240 | 163.222.0.0/15 | 163.222.0.1 to 163.223.255.254 | 163.223.255.255 | 131,070 |
| 241 | 163.224.0.0/15 | 163.224.0.1 to 163.225.255.254 | 163.225.255.255 | 131,070 |
| 242 | 163.226.0.0/15 | 163.226.0.1 to 163.227.255.254 | 163.227.255.255 | 131,070 |
| 243 | 163.228.0.0/15 | 163.228.0.1 to 163.229.255.254 | 163.229.255.255 | 131,070 |
| 244 | 163.230.0.0/15 | 163.230.0.1 to 163.231.255.254 | 163.231.255.255 | 131,070 |
| 245 | 163.232.0.0/15 | 163.232.0.1 to 163.233.255.254 | 163.233.255.255 | 131,070 |
| 246 | 163.234.0.0/15 | 163.234.0.1 to 163.235.255.254 | 163.235.255.255 | 131,070 |
| 247 | 163.236.0.0/15 | 163.236.0.1 to 163.237.255.254 | 163.237.255.255 | 131,070 |
| 248 | 163.238.0.0/15 | 163.238.0.1 to 163.239.255.254 | 163.239.255.255 | 131,070 |
| 249 | 163.240.0.0/15 | 163.240.0.1 to 163.241.255.254 | 163.241.255.255 | 131,070 |
| 250 | 163.242.0.0/15 | 163.242.0.1 to 163.243.255.254 | 163.243.255.255 | 131,070 |
| 251 | 163.244.0.0/15 | 163.244.0.1 to 163.245.255.254 | 163.245.255.255 | 131,070 |
| 252 | 163.246.0.0/15 | 163.246.0.1 to 163.247.255.254 | 163.247.255.255 | 131,070 |
| 253 | 163.248.0.0/15 | 163.248.0.1 to 163.249.255.254 | 163.249.255.255 | 131,070 |
| 254 | 163.250.0.0/15 | 163.250.0.1 to 163.251.255.254 | 163.251.255.255 | 131,070 |
| 255 | 163.252.0.0/15 | 163.252.0.1 to 163.253.255.254 | 163.253.255.255 | 131,070 |
| 256 | 163.254.0.0/15 | 163.254.0.1 to 163.255.255.254 | 163.255.255.255 | 131,070 |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |